package visualization;

import java.awt.Color;

import visualization.designs.colors.*;

public class DesignColorSet {

	public Color standardBorderColor;
	public Color activeBorderColor;
	public Color standardFillColor;
	public Color activeFillColor;
	public Color standardValueColor;
	public Color activeValueColor;
	public Color standardTextColor;
	public Color outerBorderColor;

	public static DesignColorSet getColorByName(String s) {
		switch (s) {
		case "blue": return new Blue();
		case "orange": return new Orange();
		case "green": return new Green();
		case "red": return new Red();
		case "violet": return new Violet();
		default: return null;
		}
	}
	
}
